Agent API
API for agent operations
Version: 0.1.0
Server
- URL:
https://api.kopernik.us/v0- Kopernik.us API server
Paths
/agent/register
POST
Register agent
Register a new agent for the specified provider and account
Request Body:
Content Type: application/json
Schema: AgentAuth
Responses:
-
200: Agent registered
- Content Type:
application/json- Schema: AgentAuthResponse
- Content Type:
-
400: Registration failure
- Content Type:
text/plain- Schema: string
- Content Type:
Schemas
AgentAuth
Authentication object for the agent
Type: object
Properties:
| Name | Type | Required | Description |
|---|---|---|---|
| providerUid | ProviderId | ✅ | Cloud provider identifier |
| accountUid | string | ✅ | User account identifier issued by the provider; example: 01234567890 |
| token | string | ✅ | Authentication token |
| regionUid | string | ❌ | For providers with regional API access (AWS), the region scope identifier |
AgentAuthResponse
Response with JWT encoded AgentAuth object
Type: object
Properties:
| Name | Type | Required | Description |
|---|---|---|---|
| signedAuth | string | ✅ | Authentication token to be used in the Authorization header; usage: Authorization: Bearer <signedAuth> |